# Created by pyp2rpm-3.0.1
%global pypi_name jupyter_core

Name:           python-jupyter-core
Version:        4.1.0
Release:        1%{?dist}
Summary:        Jupyter core package. A base package on which Jupyter projects rely

License:        BSD
URL:            http://jupyter.org
Source0:        https://pypi.python.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx

%description
There is no reason to install this package on its own.

%package -n     python2-%{pypi_name}
Summary:        Jupyter core package. A base package on which Jupyter projects rely
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-traitlets
Requires:       python-setuptools
%description -n python2-%{pypi_name}
There is no reason to install this package on its own.

%package -n     python3-%{pypi_name}
Summary:        Jupyter core package. A base package on which Jupyter projects rely
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-traitlets
Requires:       python3-setuptools
%description -n python3-%{pypi_name}
There is no reason to install this package on its own.

%package -n python-%{pypi_name}-doc
Summary:        jupyter_core documentation
%description -n python-%{pypi_name}-doc
Documentation for jupyter_core

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build
# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install
cp %{buildroot}/%{_bindir}/jupyter-migrate %{buildroot}/%{_bindir}/jupyter-migrate-3
ln -sf %{_bindir}/jupyter-migrate-3 %{buildroot}/%{_bindir}/jupyter-migrate-%{python3_version}
cp %{buildroot}/%{_bindir}/jupyter %{buildroot}/%{_bindir}/jupyter-3
ln -sf %{_bindir}/jupyter-3 %{buildroot}/%{_bindir}/jupyter-%{python3_version}
#cp %{buildroot}/%{_bindir}/jupyter-troubleshoot %{buildroot}/%{_bindir}/jupyter-troubleshoot-3
#ln -sf %{_bindir}/jupyter-troubleshoot-3 %{buildroot}/%{_bindir}/jupyter-troubleshoot-%{python3_version}

%py2_install
cp %{buildroot}/%{_bindir}/jupyter-migrate %{buildroot}/%{_bindir}/jupyter-migrate-2
ln -sf %{_bindir}/jupyter-migrate-2 %{buildroot}/%{_bindir}/jupyter-migrate-%{python2_version}
cp %{buildroot}/%{_bindir}/jupyter %{buildroot}/%{_bindir}/jupyter-2
ln -sf %{_bindir}/jupyter-2 %{buildroot}/%{_bindir}/jupyter-%{python2_version}
#cp %{buildroot}/%{_bindir}/jupyter-troubleshoot %{buildroot}/%{_bindir}/jupyter-troubleshoot-2
#ln -sf %{_bindir}/jupyter-troubleshoot-2 %{buildroot}/%{_bindir}/jupyter-troubleshoot-%{python2_version}


%files -n python2-%{pypi_name} 
%doc README.md COPYING.md
%{_bindir}/jupyter-migrate
%{_bindir}/jupyter-migrate-2
%{_bindir}/jupyter-migrate-%{python2_version}
%{_bindir}/jupyter
%{_bindir}/jupyter-2
%{_bindir}/jupyter-%{python2_version}
#%{_bindir}/jupyter-troubleshoot
#%{_bindir}/jupyter-troubleshoot-2
#%{_bindir}/jupyter-troubleshoot-%{python2_version}

%{python2_sitelib}/jupyter.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name} 
%doc README.md COPYING.md
%{_bindir}/jupyter-migrate-3
%{_bindir}/jupyter-migrate-%{python3_version}
%{_bindir}/jupyter-3
%{_bindir}/jupyter-%{python3_version}
#%{_bindir}/jupyter-troubleshoot-3
#%{_bindir}/jupyter-troubleshoot-%{python3_version}
%dir %{python3_sitelib}/__pycache__/
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/jupyter.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}/

%files -n python-%{pypi_name}-doc
%doc html 

%changelog
* Mon Apr 18 2016 Thomas Spura <tomspur@fedoraproject.org> - 4.1.0-1
- Initial package.
